Subject: Re: [PATCH] ls-files: use imperative mood for -X and -z option description

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Sep 2021 12:30:54 -0700

Taylor Blau <[email-masked]> writes:

> Your patch looks fine to me. I don't think it's urgent to change, but it
> looks correct nonetheless.
>
>> Cc: Jeff King <[email-masked]>
>> Cc: <[email-masked]>
>
> These Cc trailers can be removed. (They're not entirely unprecedented,
> but I can only find ~200 examples in git.git's history).

Yup, "can" and probably "should".  It is meant for consumption by
your e-mail software.

>>  		OPT_SET_INT('z', NULL, &line_terminator,
>> -			N_("paths are separated with NUL character"), '\0'),
>> +			N_("separate paths with NUL character"), '\0'),
>
> The text before your patch should include an article so it reads "with
> [the] NUL character" instead of "with NUL character".
>
> So I think the right post-image would be: "separate paths with the NUL
> character".

Correct.  Grammar fixes are very much appreciated, especially in an
international project like this one.

Thanks.